%define major 0
%define libname %mklibname ical %{major}
%define develname %mklibname ical -d

Summary:	An implementation of basic iCAL protocols
Name:		libical
Version:	0.30
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/freeassociation/
Source:		http://downloads.sourceforge.net/freeassociation/%{name}-%{version}.tar.gz
BuildRequires:	db4-devel
BuildRequires:	flex
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%package -n %{libname}
Summary:	Files for developing applications that use libical
Group:		System/Libraries

%description -n %{libname}
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%package -n %{develname}
Summary:	Files for developing applications that use libical
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname ical 0 -d

%description -n %{develname}
The header files and libtool library for
developing applications that use libical.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-reentrant \
	--with-devel \
	--with-bdb4 \
	--with-bdb4-dir=%{_prefix}
%make

%install
rm -fr %buildroot
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README TODO ChangeLog NEWS TEST THANKS
%doc doc/UsingLibical*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la


%changelog
* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 0.30-1mdv2008.1
+ Revision: 161695
- Br flex
- New version 0.30

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.27-3mdv2008.1
+ Revision: 110798
- obsolete really ancient libical devel package (with mdk tag ;)
- SILENt this is not needed also

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.27-2mdv2008.1
+ Revision: 110618
- add more explicit provides on devel package
- import libical


